Bug 847918 - Intel KMS disabled/broken in grub2
Intel KMS disabled/broken in grub2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 22:32 EDT by Konstantin Svist
Modified: 2013-08-01 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:01:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (64.31 KB, text/plain)
2012-08-14 19:39 EDT, Konstantin Svist
no flags Details
Xorg log (30.66 KB, text/plain)
2012-08-14 20:08 EDT, Konstantin Svist
no flags Details

  None (edit)
Description Konstantin Svist 2012-08-13 22:32:46 EDT
I can't set any custom resolution in grub.
vbeinfo reports available resolutions up to 1024x768 (native is 1366x768), but doesn't switch to it when configured with "set gfxmode=1024x768x32", same with setting of native resolution.
vbeinfo also says:

Adapter 'VGA Video Driver':
  No info available

vbetest hangs at blinking cursor

Possibly related to https://savannah.gnu.org/bugs/?25240


Additional info:

# lspci -nnn -vvv -s 00:02.0
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:3975]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 41
	Region 0: Memory at e8400000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4169
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a4] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: i915
Comment 1 Mads Kiilerich 2012-08-14 05:53:45 EDT
Please report which grub version you are using - and confirm that you have grub grub2-install and grub2-mkconfig after upgrading.

Please show the full output of vbeinfo.

Please link to a smolt profile of your machine.
Comment 2 Konstantin Svist 2012-08-14 16:55:50 EDT
# yum list grub*
<...snip...>
grub2.i686                              1:2.0-0.37.beta6.fc17        @updates   
grub2-tools.i686                        1:2.0-0.37.beta6.fc17        @updates   
<...snip...>

I have run grub2-mkconfig since upgrading, though have not run it lately.
Before switching hardware, grub2 worked with high resolution on a laptop with ATI X1400 M videocard.


vbeinfo output (visible part, copied from a photo):

  0x166    0 x    0 x  0  Text-only
  0x167    0 x    0 x  0  Text-only
  0x168    0 x    0 x  0  Text-only
  0x169    0 x    0 x  0  Text-only
  0x16a    0 x    0 x  0  Text-only
  0x16b    0 x    0 x  0  Text-only
  0x16c    0 x    0 x  0  Text-only
  0x16d    0 x    0 x  0  Text-only
  0x16e    0 x    0 x  0  Text-only
  0x16f    0 x    0 x  0  Text-only
  0x170    0 x    0 x  0  Text-only
  0x151    0 x    0 x  0  Text-only
  0x13c    0 x    0 x  0  Text-only
  0x14d    0 x    0 x  0  Text-only
  0x15c    0 x    0 x  0  Text-only
  0x13a    0 x    0 x  0  Text-only
  0x14b    0 x    0 x  0  Text-only
  0x15a    0 x    0 x  0  Text-only
  0x107    0 x    0 x  0  Text-only
  0x11a    0 x    0 x  0  Text-only
  0x11b    0 x    0 x  0  Text-only
  0x105 1024 x  768 x  8  Packed
  0x117 1024 x  768 x 16  Direct, mask: 5/6/5/0  pos: 11/5/0/0
  0x118 1024 x  768 x 32  Direct, mask: 8/8/8/8  pos: 16/8/0/24
  0x112  640 x  480 x 32  Direct, mask: 8/8/8/8  pos: 16/8/0/24
  0x114  800 x  600 x 16  Direct, mask: 5/6/5/0  pos: 11/5/0/0
  0x115  800 x  600 x 32  Direct, mask: 8/8/8/8  pos: 16/8/0/24
  0x101  640 x  480 x  8  Packed
  0x103  800 x  600 x  8  Packed
  0x111  640 x  480 x 16  Direct, mask: 5/6/5/0  pos: 11/5/0/0
Adapter 'VGA Video Driver':
  No info available


Smolt profile: http://www.smolts.org/client/show/pub_7862ed15-6d6c-4677-bf8d-73ee1d0a8a51
Comment 3 Mads Kiilerich 2012-08-14 17:57:53 EDT
Please run something like grub2-install /dev/sda _and_ grub2-mkconfig -o /boot/grub2/grub.cfg and verify if the problem still is present.

That will also give an extra column in the vbeinfo output. Attaching a photo would be fine. The command 'set pager=1' will make it pause after each screen.

A dmesg where the kernel KMS switches to the 1366x768 resolution might also be helpful.
Comment 4 Konstantin Svist 2012-08-14 18:28:33 EDT
# grub2-install /dev/sda
Installation finished. No error reported.

# grub2-mkconfig -o /boot/grub2/grub.cfg
Generating grub.cfg ...
Found background: /boot/verne.tga
Found linux image: /boot/vmlinuz-3.5.1-1.fc17.i686.PAE
Found initrd image: /boot/initramfs-3.5.1-1.fc17.i686.PAE.img
Found linux image: /boot/vmlinuz-3.5.1-1.fc17.i686
Found initrd image: /boot/initramfs-3.5.1-1.fc17.i686.img
Found linux image: /boot/vmlinuz-3.5.0-2.fc17.i686.PAE
Found initrd image: /boot/initramfs-3.5.0-2.fc17.i686.PAE.img
Found linux image: /boot/vmlinuz-3.5.0-2.fc17.i686
Found initrd image: /boot/initramfs-3.5.0-2.fc17.i686.img
Found linux image: /boot/vmlinuz-3.4.6-2.fc17.i686.PAE
Found initrd image: /boot/initramfs-3.4.6-2.fc17.i686.PAE.img
Found linux image: /boot/vmlinuz-3.4.6-2.fc17.i686
Found initrd image: /boot/initramfs-3.4.6-2.fc17.i686.img
  No volume groups found
done
Comment 5 Konstantin Svist 2012-08-14 18:44:32 EDT
Looks like grub2-install did the trick -- now I have 1024x768x32 resolution in grub
Setting of 1366x768x32 sets it to 1024x768x32, though. I'll settle for this unless you know how to set native resolution.

Probably unrelated bug - when I have an external monitor connected, setting of 1366x768x32 causes it to display a very low res/low color menu on external monitor only, but setting of 1024x768x32 displays okay on both LVDS and external monitor.
Comment 6 Mads Kiilerich 2012-08-14 19:19:46 EDT
Oh. What resolution did you get before?

Anyway: It seems to me like you now have the problem I thought you wanted to report in the first place ... and we are getting closer to having a good bug report where a developer might be able to fix the problem and get the full resolution.

Please attach the new vbeinfo and a dmesg. It might show the wrong vbe info your hardware reports and how the kernel handles it.

The other problem should probably be filed separately ... but there might be a dependency, so it would perhaps be better to wait until the first problem has been solved.
Comment 7 Konstantin Svist 2012-08-14 19:36:57 EDT
I was getting about 12 lines fewer per screen, so guessing it was 800x600...

Here's the vbeinfo output (again, copied from a photo):

grub> vbeinfo
List of supported video modes:
Legend: mask/position=red/green/blue/reserved
Adapter `Cirrus CLGD 5446 PCI Video Driver':
  No info available
Adapter `Bochs PCI Video Driver':
  No info available
Adapter `VESA BIOS Extension Video Driver':
  VBE info:   version: 3.0  OEM software rev: 1.0
              total memory: 65472 KiB
  0x160    0 x    0 x  0  Text-only
  0x161    0 x    0 x  0  Text-only
  0x162    0 x    0 x  0  Text-only
  0x163    0 x    0 x  0  Text-only
  0x164    0 x    0 x  0  Text-only
  0x165    0 x    0 x  0  Text-only
  0x166    0 x    0 x  0  Text-only
  0x167    0 x    0 x  0  Text-only
  0x168    0 x    0 x  0  Text-only
  0x169    0 x    0 x  0  Text-only
  0x16a    0 x    0 x  0  Text-only
  0x16b    0 x    0 x  0  Text-only
  0x16c    0 x    0 x  0  Text-only
  0x16d    0 x    0 x  0  Text-only
  0x16e    0 x    0 x  0  Text-only
  0x16f    0 x    0 x  0  Text-only
  0x170    0 x    0 x  0  Text-only
  0x171    0 x    0 x  0  Text-only
  0x13c    0 x    0 x  0  Text-only
  0x14d    0 x    0 x  0  Text-only
  0x15c    0 x    0 x  0  Text-only
  0x13a    0 x    0 x  0  Text-only
  0x14b    0 x    0 x  0  Text-only
  0x15a    0 x    0 x  0  Text-only
  0x107    0 x    0 x  0  Text-only
  0x11a    0 x    0 x  0  Text-only
  0x11b    0 x    0 x  0  Text-only
  0x105 1024 x  768 x  8  Packed pixel
  0x117 1024 x  768 x 16  Direct color, mask: 5/6/5/0  pos: 11/5/0/0
* 0x118 1024 x  768 x 32  Direct color, mask: 8/8/8/8  pos: 16/8/0/24
  0x112  640 x  480 x 32  Direct color, mask: 8/8/8/8  pos: 16/8/0/24
  0x114  800 x  600 x 16  Direct color, mask: 5/6/5/0  pos: 11/5/0/0
  0x115  800 x  600 x 32  Direct color, mask: 8/8/8/8  pos: 16/8/0/24
  0x101  640 x  480 x  8  Packed pixel
  0x103  800 x  600 x  8  Packed pixel
  0x111  640 x  480 x 16  Direct color, mask: 5/6/5/0  pos: 11/5/0/0
  EDID version: 1.3
    Preferred mode: 1366x768
Adapter `VGA Video Driver':
  No info available
Comment 8 Konstantin Svist 2012-08-14 19:39:25 EDT
Created attachment 604479 [details]
dmesg
Comment 9 Mads Kiilerich 2012-08-14 19:45:51 EDT
Do KMS / X fail to set the 1366x768 resolution too? Both before and now?

Please also attach /var/log/Xorg.0.log.
Comment 10 Konstantin Svist 2012-08-14 20:08:58 EDT
Created attachment 604481 [details]
Xorg log

I get full resolution during boot (a second or two after grub, kernel switches to it) and I get full resolution in X.
Comment 11 Mads Kiilerich 2012-08-14 20:16:54 EDT
Full resolution? The kernel says 1024x768. Strange.
Comment 12 Konstantin Svist 2012-08-14 20:41:09 EDT
You're probably right - it's hard to tell since it's so brief (and the Y resolution is the same)
N.B.: I have Plymouth disabled, so I see text
Comment 13 Konstantin Svist 2012-08-15 03:15:41 EDT
Checking again, using ScrLk, looks like boot process uses full resolution after video card gets detected.
The 1024x768 mentioned in dmesg is a remnant from grub setting that mode
Comment 14 Konstantin Svist 2012-08-20 21:22:03 EDT
Is this enough info now?
Comment 15 Fedora End Of Life 2013-07-03 22:39:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 05:01:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.